Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] Problem with running openMPI program
From: Jeff Squyres (jsquyres_at_[hidden])
Date: 2009-04-23 07:34:42


On Apr 23, 2009, at 3:40 AM, Ankush Kaul wrote:

> I am again stuck on a problem, i connected a new node to my cluster
> and installed CentOS 5.2 on it. after that i use yum to install
> openmpi,openmpi-libs and openmpi-devel sucessfully.

Be sure that you have the same version of Open MPI installed on all
your nodes.

> But still when i run mpicc command it gives me error :
> bash: mpicc: command not found
>
> i found out there is a command mpi-selector but dont know hoe to use
> it.
> Is this a new version of openmpi? how do i configure it?

No it's not a version of Open MPI, it's a mechanism for switching
between multiple different MPI implementations installed on the same
machine.

See the man page or "mpi-selector --help" for details.

-- 
Jeff Squyres
Cisco Systems